### Method

# Ide LspClient call_async

#### Declaration

    void
    ide_lsp_client_call_async (
      IdeLspClient* self,
      const gchar* method,
      GVariant* params,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously queries the Language Server using the JSON-RPC protocol.

If `params` is floating, it’s floating reference is consumed.

Available since: | 3.26

#### Parameters

`method` | `const gchar*`
| The method to call.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`params` | `GVariant`
| An `GVariant` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A cancellable or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| The callback to receive the result, or `NULL`.
| The argument can be `NULL`.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.